#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x593e1bdc, "i2c_register_driver" },
	{ 0xaea14dd5, "i2c_smbus_write_byte_data" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe6184612, "gpiod_get_value" },
	{ 0xab56fb01, "i2c_smbus_read_byte_data" },
	{ 0xd1005013, "_dev_err" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8f02a04, "i2c_del_driver" },
	{ 0x58addc71, "regulator_enable" },
	{ 0x115c2209, "gpiod_set_value_cansleep" },
	{ 0x7ebc429e, "_dev_warn" },
	{ 0x5194d29c, "regulator_disable" },
	{ 0xc5fc429a, "i2c_client_get_device_id" },
	{ 0x87301a81, "devm_gpiod_get_optional" },
	{ 0x43c02beb, "gpiod_set_consumer_name" },
	{ 0x7b721cf6, "devm_iio_device_alloc" },
	{ 0x26091902, "iio_read_mount_matrix" },
	{ 0xa8e52f90, "device_get_match_data" },
	{ 0xee276765, "devm_regulator_get" },
	{ 0x85579d2f, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb2214cad, "devm_request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf1add37d, "iio_triggered_buffer_setup_ext" },
	{ 0x1c6aa114, "__iio_device_register" },
	{ 0xc1a4342a, "__pm_runtime_set_status" },
	{ 0xb561adf3, "pm_runtime_enable" },
	{ 0xc52fc2bd, "pm_runtime_set_autosuspend_delay" },
	{ 0x43d38847, "__pm_runtime_use_autosuspend" },
	{ 0x4b536e8a, "__pm_runtime_idle" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0x7a26de2d, "iio_triggered_buffer_cleanup" },
	{ 0xfe1c2a0b, "gpiod_to_irq" },
	{ 0xeb99f8bd, "__pm_runtime_resume" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x120dcea5, "__pm_runtime_suspend" },
	{ 0x789344df, "iio_trigger_notify_done" },
	{ 0x2a13cdbd, "iio_get_time_ns" },
	{ 0xa0d6cab0, "iio_push_to_buffers" },
	{ 0x2a357924, "__pm_runtime_disable" },
	{ 0x41fb8fa8, "iio_device_unregister" },
	{ 0x9279eed7, "pm_runtime_force_suspend" },
	{ 0xf81cd349, "pm_runtime_force_resume" },
	{ 0x95222f7e, "iio_show_mount_matrix" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Casahi-kasei,ak8975");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8975C*");
MODULE_ALIAS("of:N*T*Cak8975");
MODULE_ALIAS("of:N*T*Cak8975C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8963");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak8963C*");
MODULE_ALIAS("of:N*T*Cak8963");
MODULE_ALIAS("of:N*T*Cak8963C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09911");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09911C*");
MODULE_ALIAS("of:N*T*Cak09911");
MODULE_ALIAS("of:N*T*Cak09911C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09912");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09912C*");
MODULE_ALIAS("of:N*T*Cak09912");
MODULE_ALIAS("of:N*T*Cak09912C*");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09916");
MODULE_ALIAS("of:N*T*Casahi-kasei,ak09916C*");
MODULE_ALIAS("of:N*T*Cak09916");
MODULE_ALIAS("of:N*T*Cak09916C*");
MODULE_ALIAS("i2c:ak8975");
MODULE_ALIAS("i2c:ak8963");
MODULE_ALIAS("i2c:AK8963");
MODULE_ALIAS("i2c:ak09911");
MODULE_ALIAS("i2c:ak09912");
MODULE_ALIAS("i2c:ak09916");
MODULE_ALIAS("acpi*:AK8975:*");
MODULE_ALIAS("acpi*:AK8963:*");
MODULE_ALIAS("acpi*:INVN6500:*");
MODULE_ALIAS("acpi*:AK009911:*");
MODULE_ALIAS("acpi*:AK09911:*");
MODULE_ALIAS("acpi*:AKM9911:*");
MODULE_ALIAS("acpi*:AK09912:*");
